org.apache.lucene.index

## Class MergePolicy.MergeSpecification

- java.lang.Object
- - org.apache.lucene.index.MergePolicy.MergeSpecification

- Enclosing class:
    MergePolicy

      public static class MergePolicy.MergeSpecification
      extends java.lang.Object

  A MergeSpecification instance provides the information necessary to perform multiple merges. It simply contains a list of `MergePolicy.OneMerge` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List` | `merges` The subset of segments to be included in the primitive merge.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeSpecification()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(MergePolicy.OneMerge merge)`
    `java.lang.String` | `segString(Directory dir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### merges

          public java.util.List merges

      The subset of segments to be included in the primitive merge.

  - ### Constructor Detail

    - #### MergeSpecification

          public MergeSpecification()

  - ### Method Detail

    - #### add

          public void add(MergePolicy.OneMerge merge)

    - #### segString

          public java.lang.String segString(Directory dir)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.